package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.Date;

/**
 * Created by Administrator on 2017/4/26.
 */
public class CompeteWaterInfo implements Serializable{
    private static final long serialVersionUID = 740905720745289955L;
    private Integer shareId; //记录id
    private String shareOneOpenId; //分享人openid
    private String shareMachineId; //分享机器id
    private String shareNickname; //分享人昵称
    private Integer machineWaterTDS; //机器水质
    private Integer machineAmountWater; //总净饮水量
    private Date shareCreationTime;  //分享时间
    private String shareUserHead;//头像

    public Integer getShareId() {
        return shareId;
    }

    public void setShareId(Integer shareId) {
        this.shareId = shareId;
    }

    public String getShareOneOpenId() {
        return shareOneOpenId;
    }

    public void setShareOneOpenId(String shareOneOpenId) {
        this.shareOneOpenId = shareOneOpenId;
    }

    public String getShareMachineId() {
        return shareMachineId;
    }

    public void setShareMachineId(String shareMachineId) {
        this.shareMachineId = shareMachineId;
    }

    public String getShareNickname() {
        return shareNickname;
    }

    public void setShareNickname(String shareNickname) {
        this.shareNickname = shareNickname;
    }

    public Integer getMachineWaterTDS() {
        return machineWaterTDS;
    }

    public void setMachineWaterTDS(Integer machineWaterTDS) {
        this.machineWaterTDS = machineWaterTDS;
    }

    public Integer getMachineAmountWater() {
        return machineAmountWater;
    }

    public void setMachineAmountWater(Integer machineAmountWater) {
        this.machineAmountWater = machineAmountWater;
    }

    public Date getShareCreationTime() {
        return shareCreationTime;
    }

    public void setShareCreationTime(Date shareCreationTime) {
        this.shareCreationTime = shareCreationTime;
    }

    public String getShareUserHead() {
        return shareUserHead;
    }

    public void setShareUserHead(String shareUserHead) {
        this.shareUserHead = shareUserHead;
    }
}
